Index: /CONFIG/UNIFORM/v6/IPSLCM6/AA_make
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/AA_make	(revision 2059)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/AA_make	(revision 2060)
@@ -13,30 +13,30 @@
 	if [ -s ./.resol ] ; then $(M_K) `head -1 .resol` ; else $(M_K) ORCA2xLMD9695-L39 ; fi
 
-ORCA2xLMD4443 : libioipsl oasis3 liborchidee orca2 lmdz44x43x19 verif	
+ORCA2xLMD4443 : libioipsl oasis3 liborchidee xios orca2 lmdz44x43x19 verif	
 	echo "ORCA2xLMD4443" >.resol
 	echo "RESOL_ATM_3D=44x43x19" >>.resol
 	echo "$(LIB_MPI)" >.libmpi
 
-ORCA2xLMD5655 : libioipsl oasis3 liborchidee orca2 lmdz56x55x19 verif	
+ORCA2xLMD5655 : libioipsl oasis3 liborchidee xios orca2 lmdz56x55x19 verif	
 	echo "ORCA2xLMD5655" >.resol
 	echo "RESOL_ATM_3D=56x55x19" >>.resol
 	echo "$(LIB_MPI)" >.libmpi
 
-ORCA2xLMD9671 : libioipsl oasis3 liborchidee orca2 lmdz96x71x19 verif	
+ORCA2xLMD9671 : libioipsl oasis3 liborchidee xios orca2 lmdz96x71x19 verif	
 	echo "ORCA2xLMD9671" >.resol
 	echo "RESOL_ATM_3D=96x71x19" >>.resol
 	echo "$(LIB_MPI)" >.libmpi
 
-ORCA2xLMD9695 : libioipsl oasis3 liborchidee orca2 lmdz96x95x19 verif
+ORCA2xLMD9695 : libioipsl oasis3 liborchidee xios orca2 lmdz96x95x19 verif
 	echo "ORCA2xLMD9695" >.resol
 	echo "RESOL_ATM_3D=96x95x19" >>.resol
 	echo "$(LIB_MPI)" >.libmpi
 
-ORCA2xLMD9695-L39 : libioipsl oasis3 liborchidee orca2 lmdz96x95x39 verif
+ORCA2xLMD9695-L39 : libioipsl oasis3 liborchidee xios orca2 lmdz96x95x39 verif
 	echo "ORCA2xLMD9695-L39" >.resol
 	echo "RESOL_ATM_3D=96x95x39" >>.resol
 	echo "$(LIB_MPI)" >.libmpi
 
-ORCA2xLMD9695-L39-NOPISCES : libioipsl oasis3 liborchidee orca2nopisces lmdz96x95x39 verif
+ORCA2xLMD9695-L39-NOPISCES : libioipsl oasis3 liborchidee xios orca2nopisces lmdz96x95x39 verif
 	echo "ORCA2xLMD9695-L39" >.resol
 	echo "RESOL_ATM_3D=96x95x39" >>.resol
@@ -44,10 +44,10 @@
 	echo "$(LIB_MPI)" >.libmpi
 
-ORCA2xLMD144142 : libioipsl oasis3 liborchidee orca2 lmdz144x142x19 verif
+ORCA2xLMD144142 : libioipsl oasis3 liborchidee xios orca2 lmdz144x142x19 verif
 	echo "ORCA2xLMD144142" >.resol
 	echo "RESOL_ATM_3D=144x142x19" >>.resol
 	echo "$(LIB_MPI)" >.libmpi
 
-ORCA2xLMD144142-L39 : libioipsl oasis3 liborchidee orca2 lmdz144x142x39 verif
+ORCA2xLMD144142-L39 : libioipsl oasis3 liborchidee xios orca2 lmdz144x142x39 verif
 	echo "ORCA2xLMD144142-L39" >.resol
 	echo "RESOL_ATM_3D=144x142x39" >>.resol
@@ -92,14 +92,16 @@
 	(cd ../../modeles/LMDZ; ./makelmdz_fcm -cpp ORCHIDEE_NOOPENMP -d $(RESOL_LMDZ) -cosp true -v true -parallel mpi -c $(LIB_MPI) -arch $(FCM_ARCH) gcm ; cp bin/gcm_$(RESOL_LMDZ)_phylmd_para_orch_couple.e ../../bin/gcm.e ; )
 
-orca2: ../../modeles/NEMO/WORK
-	(cd ../../modeles/NEMO/WORK; $(M_K) FCM=use USER_INC='-I ../$(PRISM_DIR)/$(PRISM_ARCH)/build/lib/psmile.$(LIB_MPI)' USER_LIB='-L../$(PRISM_DIR)/$(PRISM_ARCH)/lib -lpsmile.$(LIB_MPI) -lmpp_io' P_P='key_trabbl_dif key_orca_r2 key_lim2 key_dynspg_flt key_ldfslp key_traldf_c2d key_traldf_eiv key_dynldf_c3d key_dtachl key_dtatem key_dtasal key_coupled key_trabbc key_zdftke key_zdftmx key_zdfddm key_oasis3 key_diahth key_diaeiv key_mpp_mpi key_iomput key_diaar5 key_top key_pisces key_trcbbl_dif key_trcldf_eiv key_trc_zdfddm key_trc_diaadd key_trc_dia3d key_dtatrc ' ; )
+xios: ../../modeles/XIOS
+    (cd ../../modeles/XIOS; ./make_xios --arch $(FCM_ARCH) --prod --use_oasis --job 16 ; )
 
-orca2nopisces: ../../modeles/NEMO/WORK
-	(cd ../../modeles/NEMO/WORK; $(M_K) FCM=use USER_INC='-I ../$(PRISM_DIR)/$(PRISM_ARCH)/build/lib/psmile.$(LIB_MPI)' USER_LIB='-L../$(PRISM_DIR)/$(PRISM_ARCH)/lib -lpsmile.$(LIB_MPI) -lmpp_io' P_P='key_trabbl_dif key_orca_r2 key_lim2 key_dynspg_flt key_ldfslp key_traldf_c2d key_traldf_eiv key_dynldf_c3d key_dtachl key_dtatem key_dtasal key_coupled key_trabbc key_zdftke key_zdftmx key_zdfddm key_oasis3 key_diahth key_diaeiv key_mpp_mpi key_iomput key_diaar5 ' ; )
+orca2: ../../modeles/NEMOGCM/CONFIG
+    (cd ../../modeles/NEMOGCM/CONFIG; ./makenemo -m ${FCM_ARCH} -n  ORCA2_LIM_PISCES -j16 add_key "key_coupled key_oasis3 key_diahth" ; cp ORCA2_LIM_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
+
+orca2nopisces: ../../modeles/NEMOGCM/CONFIG
+    (cd ../../modeles/NEMOGCM/CONFIG; ./makenemo -m ${FCM_ARCH} -n  ORCA2_LIM -j16 add_key "key_coupled key_oasis3 key_diahth" ; cp ORCA2_LIM/BLD/bin/nemo.exe ../../../bin/opa ; )
 
 verif: ../../bin
-	ls -l ../../bin
+    ls -l ../../bin
 
 clean :
-	(rm -rf $(LIBDIR)/* ; rm -f $(BINDIR)/* ; rm -rf $(PRISM_DIR)/$(PRISM_ARCH) ; rm -rf ../../modeles/LMDZ/libo/* ../../modeles/LMDZ/.lock ; )
-
+    (rm -rf $(LIBDIR)/* ; rm -f $(BINDIR)/* ; rm -rf $(PRISM_DIR)/$(PRISM_ARCH) ; rm -rf ../../modeles/LMDZ/libo/* ../../modeles/LMDZ/.lock ; ../../modeles/NEMOGCM/CONFIG/makenemo clean ; rm -rf ../../modeles/XIOS/bin/ ../../modeles/XIOS/inc ../../modeles/XIOS/obj ../../modeles/XIOS/lib ; )