Index: CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namelist_top_ORCA2
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namelist_top_ORCA2	(revision 2047)
+++ CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namelist_top_ORCA2	(revision 2061)
@@ -1,70 +1,94 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/TOP1 :  1 - tracer definition                     (namtoptrc)
-!! namelists    2 - dynamical tracer trends               (namtoptrd)
-!!              6 - tracer advection                      (namtopadv)
-!!              7 - tracer bottom boundary                (namtopbbl)
-!!              8 - tracer lateral diffusion              (namtopldf)
-!!              3 - tracer vertical physics               (namtopzdf)
-!!              9 - tracer newtonian damping              (namtopdmp)
+!! NEMO/TOP1 :  1 - tracer definition                     (namtrc    )
+!!              2 - tracer data initialisation            (namtrc_dta)
+!!              3 - tracer advection                      (namtrc_adv)
+!!              4 - tracer lateral diffusion              (namtrc_ldf)
+!!              5 - tracer vertical physics               (namtrc_zdf)
+!!              6 - tracer newtonian damping              (namtrc_dmp)
+!!              7 - dynamical tracer trends               (namtrc_trd)
+!!              8 - tracer output diagonstics             (namtrc_dia)
 !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
-&namtoptrc     !   tracers definition
+&namtrc     !   tracers definition
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
-   ndttrc      =  1        !  time step frequency for passive tracers      
-   nwritetrc   =  5475     !  time step frequency for tracer outputs
-   ln_rsttr    = .false.   !  AUTO start from a restart file (T) or not (F)
-   nrsttr      =   0       !  AUTO restart control = 0 initial time step is not compared to the restart file value
-                           !                  = 1 do not use the value in the restart file
-                           !                  = 2 calendar parameters read in the restart file
-   cn_trcrst_in  = "restart_trc"   !  suffix of pass. tracer restart name (input)
-   cn_trcrst_out = "restart_trc"   !  suffix of pass. tracer restart name (output)
+   nn_dttrc      =  1        !  time step frequency for passive sn_tracers      
+   nn_writetrc   =  5475     !  time step frequency for sn_tracer outputs
+   ln_top_euler  = .true.    !  use Euler time-stepping for TOP
+   ln_rsttr      = .false.   !  AUTO start from a restart file (T) or not (F)
+   nn_rsttr      =   0       !  AUTO restart control = 0 initial time step is not compared to the restart file value
+                             !                  = 1 do not use the value in the restart file
+                             !                  = 2 calendar parameters read in the restart file
+   cn_trcrst_in  = "restart_trc"   !  suffix of pass. sn_tracer restart name (input)
+   cn_trcrst_out = "restart_trc"   !  suffix of pass. sn_tracer restart name (output)
+   ln_trcdta     =   .true.  !  Initialisation from data input file (T) or not (F)
+   ln_trcdmp     =  .false.  !  add a damping termn (T) or not (F)
+   ln_trcdmp_clo =  .true.   !  restoring on close sea + baltic sea (T) or not (F)
 !
-!              !    name   !           title of the field              !   units    ! initial data ! save   !
-!              !           !                                           !            ! from file    ! or not ! 
-!              !           !                                           !            ! or not       !        !
-   tracer(1)   = 'DIC     ' , 'Dissolved inorganic Concentration      ',  'molC/L'  ,  .true.     ,  .true.
-   tracer(2)   = 'Alkalini' , 'Total Alkalinity Concentration         ',  'eq/L '   ,  .true.     ,  .true.
-   tracer(3)   = 'O2      ' , 'Dissolved Oxygen Concentration         ',  'molO2/L' ,  .true.     ,  .true.
-   tracer(4)   = 'CaCO3   ' , 'Calcite Concentration                  ',  'molC/L'  ,  .false.    ,  .true.
-   tracer(5)   = 'PO4     ' , 'Phosphate Concentration                ',  'molC/L'  ,  .true.     ,  .true.
-   tracer(6)   = 'POC     ' , 'Small organic carbon Concentration     ',  'molC/L'  ,  .false.    ,  .true.
-   tracer(7)   = 'Si      ' , 'Silicate Concentration                 ',  'molSi/L' ,  .true.     ,  .true.
-   tracer(8)   = 'PHY     ' , 'Nanophytoplankton Concentration        ',  'molC/L'  ,  .false.    ,  .true.
-   tracer(9)   = 'ZOO     ' , 'Microzooplankton Concentration         ',  'molC/L'  ,  .false.    ,  .true.
-   tracer(10)  = 'DOC     ' , 'Dissolved organic Concentration        ',  'molC/L'  ,  .false.    ,  .true.
-   tracer(11)  = 'PHY2    ' , 'Diatoms Concentration                  ',  'molC/L'  ,  .false.    ,  .true.
-   tracer(12)  = 'ZOO2    ' , 'Mesozooplankton Concentration          ',  'molC/L'  ,  .false.    ,  .true.
-   tracer(13)  = 'BSi     ' , 'Diatoms Silicate Concentration         ',  'molC/L'  ,  .false.    ,  .true.
-   tracer(14)  = 'Fer     ' , 'Dissolved Iron Concentration           ',  'molFe/L' ,  .true.     ,  .true.
-   tracer(15)  = 'BFe     ' , 'Big iron particles Concentration       ',  'molFe/L' ,  .false.    ,  .true.
-   tracer(16)  = 'GOC     ' , 'Big organic carbon Concentration       ',  'molC/L'  ,  .false.    ,  .true.
-   tracer(17)  = 'SFe     ' , 'Small iron particles Concentration     ',  'molFe/L' ,  .false.    ,  .true.
-   tracer(18)  = 'DFe     ' , 'Diatoms iron  Concentration            ',  'molFe/L' ,  .false.    ,  .true.
-   tracer(19)  = 'DSi     ' , 'Sinking biogenic Silicate Concentration',  'molC/L'  ,  .false.    ,  .true.
-   tracer(20)  = 'NFe     ' , 'Nano iron Concentration                ',  'molFe/L' ,  .false.    ,  .true.
-   tracer(21)  = 'NCHL    ' , 'Nano chlorophyl Concentration          ',  'gChl/L'  ,  .false.    ,  .true.
-   tracer(22)  = 'DCHL    ' , 'Diatoms chlorophyl Concentration       ',  'gChl/L'  ,  .false.    ,  .true.
-   tracer(23)  = 'NO3     ' , 'Nitrates Concentration                 ',  'molC/L'  ,  .true.     ,  .true.
-   tracer(24)  = 'NH4     ' , 'Ammonium Concentration                 ',  'molC/L'  ,  .false.    ,  .true.
+!                !    name   !           title of the field              ! initial data ! initial data ! save   !
+!                !           !                                           !  units       ! from file    ! or not ! 
+!                !           !                                           !              ! or not       !        !
+   sn_tracer(1)   = 'DIC     ' , 'Dissolved inorganic Concentration      ',  'mol-C/L' ,  .true.     ,  .true.
+   sn_tracer(2)   = 'Alkalini' , 'Total Alkalinity Concentration         ',  'eq/L '   ,  .true.     ,  .true.
+   sn_tracer(3)   = 'O2      ' , 'Dissolved Oxygen Concentration         ',  'mol-C/L' ,  .true.     ,  .true.
+   sn_tracer(4)   = 'CaCO3   ' , 'Calcite Concentration                  ',  'mol-C/L' ,  .false.    ,  .true.
+   sn_tracer(5)   = 'PO4     ' , 'Phosphate Concentration                ',  'mol-C/L' ,  .true.     ,  .true.
+   sn_tracer(6)   = 'POC     ' , 'Small organic carbon Concentration     ',  'mol-C/L' ,  .false.    ,  .true.
+   sn_tracer(7)   = 'Si      ' , 'Silicate Concentration                 ',  'mol-C/L' ,  .true.     ,  .true.
+   sn_tracer(8)   = 'PHY     ' , 'Nanophytoplankton Concentration        ',  'mol-C/L' ,  .false.    ,  .true.
+   sn_tracer(9)   = 'ZOO     ' , 'Microzooplankton Concentration         ',  'mol-C/L' ,  .false.    ,  .true.
+   sn_tracer(10)  = 'DOC     ' , 'Dissolved organic Concentration        ',  'mol-C/L' ,  .true.     ,  .true.
+   sn_tracer(11)  = 'PHY2    ' , 'Diatoms Concentration                  ',  'mol-C/L' ,  .false.    ,  .true.
+   sn_tracer(12)  = 'ZOO2    ' , 'Mesozooplankton Concentration          ',  'mol-C/L' ,  .false.    ,  .true.
+   sn_tracer(13)  = 'DSi     ' , 'Diatoms Silicate Concentration         ',  'mol-C/L' ,  .false.    ,  .true.
+   sn_tracer(14)  = 'Fer     ' , 'Dissolved Iron Concentration           ',  'mol-C/L' ,  .true.     ,  .true.
+   sn_tracer(15)  = 'BFe     ' , 'Big iron particles Concentration       ',  'mol-C/L' ,  .false.    ,  .true.
+   sn_tracer(16)  = 'GOC     ' , 'Big organic carbon Concentration       ',  'mol-C/L' ,  .false.    ,  .true.
+   sn_tracer(17)  = 'SFe     ' , 'Small iron particles Concentration     ',  'mol-C/L' ,  .false.    ,  .true.
+   sn_tracer(18)  = 'DFe     ' , 'Diatoms iron  Concentration            ',  'mol-C/L' ,  .false.    ,  .true.
+   sn_tracer(19)  = 'GSi     ' , 'Sinking biogenic Silicate Concentration',  'mol-C/L' ,  .false.    ,  .true.
+   sn_tracer(20)  = 'NFe     ' , 'Nano iron Concentration                ',  'mol-C/L' ,  .false.    ,  .true.
+   sn_tracer(21)  = 'NCHL    ' , 'Nano chlorophyl Concentration          ',  'mol-C/L' ,  .false.    ,  .true.
+   sn_tracer(22)  = 'DCHL    ' , 'Diatoms chlorophyl Concentration       ',  'mol-C/L' ,  .false.    ,  .true.
+   sn_tracer(23)  = 'NO3     ' , 'Nitrates Concentration                 ',  'mol-C/L' ,  .true.     ,  .true.
+   sn_tracer(24)  = 'NH4     ' , 'Ammonium Concentration                 ',  'mol-C/L' ,  .false.    ,  .true.
 /
 !-----------------------------------------------------------------------
-&namtopadv    !   advection scheme for passive tracer 
+&namtrc_dta      !    Initialisation from data input file
 !-----------------------------------------------------------------------
-   ln_trcadv_cen2   =  .false.  !  2nd order centered scheme   
-   ln_trcadv_tvd    =  .false.  !  TVD scheme   
-   ln_trcadv_muscl  =  .true.   !  MUSCL scheme
-   ln_trcadv_muscl2 =  .false.  !  MUSCL2 scheme + cen2 at boundaries
-   ln_trcadv_smolar =  .false.  !  SMOLAR scheme
-   rsc              =  1.       !  tuning coefficient for Smol-Car. scheme 
-   ncortrc          =  1        !  number of corrective phases for Smol-Car. scheme 
-   crosster         =  .false.  !  computes Smol-Car crossterms (T) or not (F)
+!
+!                !  file name               ! frequency (hours) ! variable   ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation !
+!                !                          !  (if <0  months)  !   name     !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  !
+   sn_trcdta(1)  = 'data_DIC_nomask'        ,        -12        ,  'DIC'     ,    .false.   , .true. , 'yearly'  , ''       , ''
+   sn_trcdta(2)  = 'data_Alkalini_nomask'   ,        -12        ,  'Alkalini',    .false.   , .true. , 'yearly'  , ''       , ''
+   sn_trcdta(3)  = 'data_O2_nomask'         ,        -1         ,  'O2'      ,    .true.    , .true. , 'yearly'  , ''       , ''
+   sn_trcdta(5)  = 'data_PO4_nomask'        ,        -1         ,  'PO4'     ,    .true.    , .true. , 'yearly'  , ''       , ''
+   sn_trcdta(7)  = 'data_Si_nomask'         ,        -1         ,  'Si'      ,    .true.    , .true. , 'yearly'  , ''       , ''
+   sn_trcdta(10) = 'data_DOC_nomask'        ,        -12        ,  'DOC'     ,    .false.   , .true. , 'yearly'  , ''       , ''
+   sn_trcdta(14) = 'data_Fer_nomask'        ,        -12        ,  'Fer'     ,    .false.   , .true. , 'yearly'  , ''       , ''
+   sn_trcdta(23) = 'data_NO3_nomask'        ,        -1         ,  'NO3'     ,    .true.    , .true. , 'yearly'  , ''       , ''
+!
+   cn_dir        =  './'      !  root directory for the location of the data files
+   rn_trfac(1)   =   1.0e-06  !  multiplicative factor
+   rn_trfac(2)   =   1.0e-06  !  -      -      -     -
+   rn_trfac(3)   =  44.6e-06  !  -      -      -     -
+   rn_trfac(5)   = 122.0e-06  !  -      -      -     -
+   rn_trfac(7)   =   1.0e-06  !  -      -      -     -
+   rn_trfac(10)  =   1.0      !  -      -      -     -
+   rn_trfac(14)  =   1.0      !  -      -      -     -
+   rn_trfac(23)  =   7.6e-06  !  -      -      -     -
 /
 !-----------------------------------------------------------------------
-&namtopbbl    !   bottom boundary layer scheme for passive tracer 
+&namtrc_adv    !   advection scheme for passive tracer 
 !-----------------------------------------------------------------------
-   atrcbbl          = 1000.     !  lateral mixing coefficient in the bbl  [m2/s]
+   ln_trcadv_cen2    =  .false.  !  2nd order centered scheme   
+   ln_trcadv_tvd     =  .false.  !  TVD scheme
+   ln_trcadv_muscl   =  .true.   !  MUSCL scheme
+   ln_trcadv_muscl2  =  .false.  !  MUSCL2 scheme + cen2 at boundaries
+   ln_trcadv_ubs     =  .false.  !  UBS scheme
+   ln_trcadv_qck     =  .false.  !  QUICKEST scheme
+   ln_trcadv_msc_ups =  .false.  !  use upstream scheme within muscl
 /
 !-----------------------------------------------------------------------
-&namtopldf    !   lateral diffusion scheme for passive tracer 
+&namtrc_ldf    !   lateral diffusion scheme for passive tracer 
 !-----------------------------------------------------------------------
    ln_trcldf_diff   =  .true.   !  performs lateral diffusion (T) or not (F)
@@ -77,67 +101,49 @@
    ln_trcldf_iso    =  .true.   !     iso-neutral                       (require "key_ldfslp")
 !                               !  Coefficient
-   ahtrc0      =  2000.         !     horizontal eddy diffusivity for tracers [m2/s]
-   ahtrb0      =     0.         !     background eddy diffusivity for ldf_iso [m2/s]
-   aeivtr0     =  2000.         !     eddy induced velocity coefficient [m2/s]    (require "key_trcldf_eiv")
-   trcrat      =  1.            !  ratio betweeen passive and active tracer diffusion coeff
+   rn_ahtrc_0       =  2000.    !  horizontal eddy diffusivity for tracers [m2/s]
+   rn_ahtrb_0       =     0.    !     background eddy diffusivity for ldf_iso [m2/s]
 /
 !-----------------------------------------------------------------------
-&namtopzdf        !   vertical physics
+&namtrc_zdf        !   vertical physics
 !-----------------------------------------------------------------------
    ln_trczdf_exp   =  .false.  !  split explicit (T) or implicit (F) time stepping
-   n_trczdf_exp    =   3       !  number of sub-timestep for ln_trczdfexp=T
+   nn_trczdf_exp   =   3       !  number of sub-timestep for ln_trczdfexp=T
 /
 !-----------------------------------------------------------------------
-&namtoprad        !  treatment of negative concentrations 
+&namtrc_rad        !  treatment of negative concentrations 
 !-----------------------------------------------------------------------
    ln_trcrad   =  .true.  !  artificially correct negative concentrations (T) or not (F)
 /
 !-----------------------------------------------------------------------
-&namtopdmp        !   passive tracer newtonian damping                 ('key_trcdmp')
+&namtrc_dmp    !   passive tracer newtonian damping   
 !-----------------------------------------------------------------------
-   ndmptr      =   20      !  type of damping in passive tracers
-                           !     ='latitude', damping poleward of 'ndmp' degrees and function 
-                           !                  of the distance-to-coast. Red and Med Seas as ndmptr=-1
-                           !     =-1 damping only in Med and Red Seas
-   ndmpftr     =    0      !  create a damping.coeff NetCDF file (=1) or not (=0)
-   nmldmptr    =    1      !  type of damping: =0 damping throughout the water column
-                           !                   =1 no damping in the mixed layer defined by avt >5cm2/s )
-                           !                   =2 no damping in the mixed layer defined rho<rho(surf)+.01 )
-   sdmptr      =   50.     !  surface time scale for internal damping (days)
-   bdmptr      =  360.     !  bottom  time scale for internal damping (days)
-   hdmptr      =  800.     !  depth of transition between sdmptr and bdmptr (meters)
+   nn_hdmp_tr  =   -1      !  horizontal shape =-1, damping in Med and Red Seas only
+                           !                   =XX, damping poleward of XX degrees (XX>0)
+                           !                      + F(distance-to-coast) + Red and Med Seas
+   nn_zdmp_tr  =    1      !  vertical   shape =0    damping throughout the water column
+                           !                   =1 no damping in the mixing layer (kz  criteria)
+                           !                   =2 no damping in the mixed  layer (rho crieria)
+   rn_surf_tr  =   50.     !  surface time scale of damping   [days]
+   rn_bot_tr   =  360.     !  bottom  time scale of damping   [days]
+   rn_dep_tr   =  800.     !  depth of transition between rn_surf and rn_bot [meters]
+   nn_file_tr  =    0      !  create a damping.coeff NetCDF file (=1) or not (=0)
 /
 !-----------------------------------------------------------------------
-&namtoptrd       !   diagnostics on tracer trends
+&namtrc_trd       !   diagnostics on tracer trends        ('key_trdtrc')
 !                          or mixed-layer trends          ('key_trdmld_trc')
 !----------------------------------------------------------------------
-   ntrd_trc   =  5475      !  time step frequency and tracers trends
-   nctls_trc  =   0        !  control surface type in mixed-layer trends (0,1 or n<jpk)
-   ucf_trc    =   1        !  unit conversion factor (=1 -> /seconds ; =86400. -> /day)
+   nn_trd_trc  =  5475      !  time step frequency and tracers trends
+   nn_ctls_trc =   0        !  control surface type in mixed-layer trends (0,1 or n<jpk)
+   rn_ucf_trc  =   1        !  unit conversion factor (=1 -> /seconds ; =86400. -> /day)
    ln_trdmld_trc_restart = .false.  !  restart for ML diagnostics
    ln_trdmld_trc_instant = .true.  !  flag to diagnose trends of instantantaneous or mean ML T/S
-   luttrd(1)  =   .true.
-   luttrd(2)  =   .true.
-   luttrd(3)  =   .false.
-   luttrd(4)  =   .false.
-   luttrd(5)  =   .false.
-   luttrd(6)  =   .false.
-   luttrd(7)  =   .false.
-   luttrd(8)  =   .false.
-   luttrd(9)  =   .false.
-   luttrd(10) =   .false.
-   luttrd(11) =   .false.
-   luttrd(12) =   .false.
-   luttrd(13) =   .false.
-   luttrd(14) =   .false.
-   luttrd(15) =   .false.
-   luttrd(16) =   .false.
-   luttrd(17) =   .false.
-   luttrd(18) =   .false.
-   luttrd(19) =   .false.
-   luttrd(20) =   .false.
-   luttrd(21) =   .false.
-   luttrd(22) =   .false.
-   luttrd(23) =   .true.
-   luttrd(24) =   .false.
+   ln_trdtrc(1)  =   .true.
+   ln_trdtrc(2)  =   .true.
+   ln_trdtrc(23) =   .true.
 /
+!-----------------------------------------------------------------------
+&namtrc_dia       !   parameters for passive tracer additional diagnostics
+!----------------------------------------------------------------------
+   ln_diatrc     =  .true.   !  save additional diag. (T) or not (F)
+   nn_writedia   =  5475     !  time step frequency for diagnostics
+/