Index: /CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/GENERAL/DRIVER/lmdz.driver	(revision 2100)
+++ /CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/GENERAL/DRIVER/lmdz.driver	(revision 2101)
@@ -363,6 +363,8 @@
 
     if [ X${config_ListOfComponents_SRF} = Xorchidee ] ; then
-	echo "Activate ORCHIDEE, set VEGET=y in run.def"
+	echo "Activate ORCHIDEE: set VEGET=y and add INCLUDEDEF=orchidee.def in run.def"
 	LMDZ_sed run.def VEGET y
+	# Add "INCLUDEDEF=orchidee.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=orchidee.def' run.def
     else
 	echo "No ORCHIDEE, set VEGET=n in run.def"
@@ -379,10 +381,14 @@
 
     if [ X${config_ListOfComponents_CHM} = Xinca ] ; then
-	echo "Activate coupling to INCA, set type_trac=inca in run.def"
+	echo "Activate coupling to INCA: set type_trac=inca and add INCLUDEDEF=inca.def in run.def"
 	LMDZ_sed run.def type_trac inca
+        # Add "INCLUDEDEF=inca.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=inca.def' run.def
     elif [ X${config_ListOfComponents_CHM} = Xreprobus ] ; then
-	echo "Activate coupling to REPROBUS, set type_trac=repr in run.def"
+	echo "Activate coupling to REPROBUS: set type_trac=repr and add INCLUDEDEF=reprobus.def in run.def"
 	LMDZ_sed run.def type_trac repr
         LMDZ_sed run.def config_inca none
+        # Add "INCLUDEDEF=reprobus.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=reprobus.def' run.def
     else
 	echo "No coupling to chemistry model, set type_trac=lmdz in run.def"
@@ -437,6 +443,9 @@
 
     # guide.def : Activate nudging if ok_guide=y set in lmdz.card
-    if [ ! X${lmdz_UserChoices_ok_guide} = X ] ; then
+    if [ X${lmdz_UserChoices_ok_guide} = Xy ] ; then
+        # Set ok_guide=y in guide.def
 	LMDZ_sed guide.def ok_guide  ${lmdz_UserChoices_ok_guide}
+        # Add "INCLUDEDEF=guide.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=guide.def' run.def
     else
 	LMDZ_sed guide.def ok_guide n
Index: /CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/GENERAL/PARAM/run.def
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/GENERAL/PARAM/run.def	(revision 2100)
+++ /CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/GENERAL/PARAM/run.def	(revision 2101)
@@ -1,12 +1,10 @@
 # $Id$
-#
+# 
+# INCLUDEDEF=orchidee.def, inca.def, reprobus.def and guide.def are added 
+# automatically by lmdz.driver if one of these components are activated.
 INCLUDEDEF=physiq.def
 INCLUDEDEF=gcm.def
-INCLUDEDEF=orchidee.def
 INCLUDEDEF=output.def
 INCLUDEDEF=config.def
-INCLUDEDEF=reprobus.def
-INCLUDEDEF=guide.def
-INCLUDEDEF=inca.def
 ## Type de calendrier utilise
 ## valeur possible: earth_360d (defaut), earth_365d, earth_366d
Index: /CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/GENERAL/DRIVER/lmdz.driver	(revision 2100)
+++ /CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/GENERAL/DRIVER/lmdz.driver	(revision 2101)
@@ -363,6 +363,8 @@
 
     if [ X${config_ListOfComponents_SRF} = Xorchidee ] ; then
-	echo "Activate ORCHIDEE, set VEGET=y in run.def"
+	echo "Activate ORCHIDEE: set VEGET=y and add INCLUDEDEF=orchidee.def in run.def"
 	LMDZ_sed run.def VEGET y
+	# Add "INCLUDEDEF=orchidee.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=orchidee.def' run.def
     else
 	echo "No ORCHIDEE, set VEGET=n in run.def"
@@ -379,10 +381,14 @@
 
     if [ X${config_ListOfComponents_CHM} = Xinca ] ; then
-	echo "Activate coupling to INCA, set type_trac=inca in run.def"
+	echo "Activate coupling to INCA: set type_trac=inca and add INCLUDEDEF=inca.def in run.def"
 	LMDZ_sed run.def type_trac inca
+        # Add "INCLUDEDEF=inca.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=inca.def' run.def
     elif [ X${config_ListOfComponents_CHM} = Xreprobus ] ; then
-	echo "Activate coupling to REPROBUS, set type_trac=repr in run.def"
+	echo "Activate coupling to REPROBUS: set type_trac=repr and add INCLUDEDEF=reprobus.def in run.def"
 	LMDZ_sed run.def type_trac repr
         LMDZ_sed run.def config_inca none
+        # Add "INCLUDEDEF=reprobus.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=reprobus.def' run.def
     else
 	echo "No coupling to chemistry model, set type_trac=lmdz in run.def"
@@ -437,6 +443,9 @@
 
     # guide.def : Activate nudging if ok_guide=y set in lmdz.card
-    if [ ! X${lmdz_UserChoices_ok_guide} = X ] ; then
+    if [ X${lmdz_UserChoices_ok_guide} = Xy ] ; then
+        # Set ok_guide=y in guide.def
 	LMDZ_sed guide.def ok_guide  ${lmdz_UserChoices_ok_guide}
+        # Add "INCLUDEDEF=guide.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=guide.def' run.def
     else
 	LMDZ_sed guide.def ok_guide n
Index: /CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/GENERAL/PARAM/run.def
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/GENERAL/PARAM/run.def	(revision 2100)
+++ /CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/GENERAL/PARAM/run.def	(revision 2101)
@@ -1,12 +1,10 @@
 # $Id$
-#
+# 
+# INCLUDEDEF=orchidee.def, inca.def, reprobus.def and guide.def are added 
+# automatically by lmdz.driver if one of these components are activated.
 INCLUDEDEF=physiq.def
 INCLUDEDEF=gcm.def
-INCLUDEDEF=orchidee.def
 INCLUDEDEF=output.def
 INCLUDEDEF=config.def
-INCLUDEDEF=reprobus.def
-INCLUDEDEF=guide.def
-INCLUDEDEF=inca.def
 ## Type de calendrier utilise
 ## valeur possible: earth_360d (defaut), earth_365d, earth_366d
Index: /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/DRIVER/lmdz.driver	(revision 2100)
+++ /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/DRIVER/lmdz.driver	(revision 2101)
@@ -363,6 +363,8 @@
 
     if [ X${config_ListOfComponents_SRF} = Xorchidee ] ; then
-	echo "Activate ORCHIDEE, set VEGET=y in run.def"
+	echo "Activate ORCHIDEE: set VEGET=y and add INCLUDEDEF=orchidee.def in run.def"
 	LMDZ_sed run.def VEGET y
+	# Add "INCLUDEDEF=orchidee.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=orchidee.def' run.def
     else
 	echo "No ORCHIDEE, set VEGET=n in run.def"
@@ -379,10 +381,14 @@
 
     if [ X${config_ListOfComponents_CHM} = Xinca ] ; then
-	echo "Activate coupling to INCA, set type_trac=inca in run.def"
+	echo "Activate coupling to INCA: set type_trac=inca and add INCLUDEDEF=inca.def in run.def"
 	LMDZ_sed run.def type_trac inca
+        # Add "INCLUDEDEF=inca.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=inca.def' run.def
     elif [ X${config_ListOfComponents_CHM} = Xreprobus ] ; then
-	echo "Activate coupling to REPROBUS, set type_trac=repr in run.def"
+	echo "Activate coupling to REPROBUS: set type_trac=repr and add INCLUDEDEF=reprobus.def in run.def"
 	LMDZ_sed run.def type_trac repr
         LMDZ_sed run.def config_inca none
+        # Add "INCLUDEDEF=reprobus.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=reprobus.def' run.def
     else
 	echo "No coupling to chemistry model, set type_trac=lmdz in run.def"
@@ -437,6 +443,9 @@
 
     # guide.def : Activate nudging if ok_guide=y set in lmdz.card
-    if [ ! X${lmdz_UserChoices_ok_guide} = X ] ; then
+    if [ X${lmdz_UserChoices_ok_guide} = Xy ] ; then
+        # Set ok_guide=y in guide.def
 	LMDZ_sed guide.def ok_guide  ${lmdz_UserChoices_ok_guide}
+        # Add "INCLUDEDEF=guide.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=guide.def' run.def
     else
 	LMDZ_sed guide.def ok_guide n
Index: /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/PARAM/run.def
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/PARAM/run.def	(revision 2100)
+++ /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/PARAM/run.def	(revision 2101)
@@ -1,12 +1,10 @@
 # $Id$
-#
+# 
+# INCLUDEDEF=orchidee.def, inca.def, reprobus.def and guide.def are added 
+# automatically by lmdz.driver if one of these components are activated.
 INCLUDEDEF=physiq.def
 INCLUDEDEF=gcm.def
-INCLUDEDEF=orchidee.def
 INCLUDEDEF=output.def
 INCLUDEDEF=config.def
-INCLUDEDEF=reprobus.def
-INCLUDEDEF=guide.def
-INCLUDEDEF=inca.def
 ## Type de calendrier utilise
 ## valeur possible: earth_360d (defaut), earth_365d, earth_366d
Index: /CONFIG/UNIFORM/v5/LMDZORINCA_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZORINCA_v5/GENERAL/DRIVER/lmdz.driver	(revision 2100)
+++ /CONFIG/UNIFORM/v5/LMDZORINCA_v5/GENERAL/DRIVER/lmdz.driver	(revision 2101)
@@ -363,6 +363,8 @@
 
     if [ X${config_ListOfComponents_SRF} = Xorchidee ] ; then
-	echo "Activate ORCHIDEE, set VEGET=y in run.def"
+	echo "Activate ORCHIDEE: set VEGET=y and add INCLUDEDEF=orchidee.def in run.def"
 	LMDZ_sed run.def VEGET y
+	# Add "INCLUDEDEF=orchidee.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=orchidee.def' run.def
     else
 	echo "No ORCHIDEE, set VEGET=n in run.def"
@@ -379,10 +381,14 @@
 
     if [ X${config_ListOfComponents_CHM} = Xinca ] ; then
-	echo "Activate coupling to INCA, set type_trac=inca in run.def"
+	echo "Activate coupling to INCA: set type_trac=inca and add INCLUDEDEF=inca.def in run.def"
 	LMDZ_sed run.def type_trac inca
+        # Add "INCLUDEDEF=inca.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=inca.def' run.def
     elif [ X${config_ListOfComponents_CHM} = Xreprobus ] ; then
-	echo "Activate coupling to REPROBUS, set type_trac=repr in run.def"
+	echo "Activate coupling to REPROBUS: set type_trac=repr and add INCLUDEDEF=reprobus.def in run.def"
 	LMDZ_sed run.def type_trac repr
         LMDZ_sed run.def config_inca none
+        # Add "INCLUDEDEF=reprobus.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=reprobus.def' run.def
     else
 	echo "No coupling to chemistry model, set type_trac=lmdz in run.def"
@@ -437,6 +443,9 @@
 
     # guide.def : Activate nudging if ok_guide=y set in lmdz.card
-    if [ ! X${lmdz_UserChoices_ok_guide} = X ] ; then
+    if [ X${lmdz_UserChoices_ok_guide} = Xy ] ; then
+        # Set ok_guide=y in guide.def
 	LMDZ_sed guide.def ok_guide  ${lmdz_UserChoices_ok_guide}
+        # Add "INCLUDEDEF=guide.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=guide.def' run.def
     else
 	LMDZ_sed guide.def ok_guide n
Index: /CONFIG/UNIFORM/v5/LMDZORINCA_v5/GENERAL/PARAM/run.def
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZORINCA_v5/GENERAL/PARAM/run.def	(revision 2100)
+++ /CONFIG/UNIFORM/v5/LMDZORINCA_v5/GENERAL/PARAM/run.def	(revision 2101)
@@ -1,12 +1,10 @@
 # $Id$
-#
+# 
+# INCLUDEDEF=orchidee.def, inca.def, reprobus.def and guide.def are added 
+# automatically by lmdz.driver if one of these components are activated.
 INCLUDEDEF=physiq.def
 INCLUDEDEF=gcm.def
-INCLUDEDEF=orchidee.def
 INCLUDEDEF=output.def
 INCLUDEDEF=config.def
-INCLUDEDEF=reprobus.def
-INCLUDEDEF=guide.def
-INCLUDEDEF=inca.def
 ## Type de calendrier utilise
 ## valeur possible: earth_360d (defaut), earth_365d, earth_366d
Index: /CONFIG/UNIFORM/v5/LMDZOR_v5.2/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZOR_v5.2/GENERAL/DRIVER/lmdz.driver	(revision 2100)
+++ /CONFIG/UNIFORM/v5/LMDZOR_v5.2/GENERAL/DRIVER/lmdz.driver	(revision 2101)
@@ -363,6 +363,8 @@
 
     if [ X${config_ListOfComponents_SRF} = Xorchidee ] ; then
-	echo "Activate ORCHIDEE, set VEGET=y in run.def"
+	echo "Activate ORCHIDEE: set VEGET=y and add INCLUDEDEF=orchidee.def in run.def"
 	LMDZ_sed run.def VEGET y
+	# Add "INCLUDEDEF=orchidee.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=orchidee.def' run.def
     else
 	echo "No ORCHIDEE, set VEGET=n in run.def"
@@ -379,10 +381,14 @@
 
     if [ X${config_ListOfComponents_CHM} = Xinca ] ; then
-	echo "Activate coupling to INCA, set type_trac=inca in run.def"
+	echo "Activate coupling to INCA: set type_trac=inca and add INCLUDEDEF=inca.def in run.def"
 	LMDZ_sed run.def type_trac inca
+        # Add "INCLUDEDEF=inca.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=inca.def' run.def
     elif [ X${config_ListOfComponents_CHM} = Xreprobus ] ; then
-	echo "Activate coupling to REPROBUS, set type_trac=repr in run.def"
+	echo "Activate coupling to REPROBUS: set type_trac=repr and add INCLUDEDEF=reprobus.def in run.def"
 	LMDZ_sed run.def type_trac repr
         LMDZ_sed run.def config_inca none
+        # Add "INCLUDEDEF=reprobus.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=reprobus.def' run.def
     else
 	echo "No coupling to chemistry model, set type_trac=lmdz in run.def"
@@ -437,6 +443,9 @@
 
     # guide.def : Activate nudging if ok_guide=y set in lmdz.card
-    if [ ! X${lmdz_UserChoices_ok_guide} = X ] ; then
+    if [ X${lmdz_UserChoices_ok_guide} = Xy ] ; then
+        # Set ok_guide=y in guide.def
 	LMDZ_sed guide.def ok_guide  ${lmdz_UserChoices_ok_guide}
+        # Add "INCLUDEDEF=guide.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=guide.def' run.def
     else
 	LMDZ_sed guide.def ok_guide n
Index: /CONFIG/UNIFORM/v5/LMDZOR_v5.2/GENERAL/PARAM/run.def
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZOR_v5.2/GENERAL/PARAM/run.def	(revision 2100)
+++ /CONFIG/UNIFORM/v5/LMDZOR_v5.2/GENERAL/PARAM/run.def	(revision 2101)
@@ -1,12 +1,10 @@
 # $Id$
-#
+# 
+# INCLUDEDEF=orchidee.def, inca.def, reprobus.def and guide.def are added 
+# automatically by lmdz.driver if one of these components are activated.
 INCLUDEDEF=physiq.def
 INCLUDEDEF=gcm.def
-INCLUDEDEF=orchidee.def
 INCLUDEDEF=output.def
 INCLUDEDEF=config.def
-INCLUDEDEF=reprobus.def
-INCLUDEDEF=guide.def
-INCLUDEDEF=inca.def
 ## Type de calendrier utilise
 ## valeur possible: earth_360d (defaut), earth_365d, earth_366d
Index: /CONFIG/UNIFORM/v5/LMDZOR_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZOR_v5/GENERAL/DRIVER/lmdz.driver	(revision 2100)
+++ /CONFIG/UNIFORM/v5/LMDZOR_v5/GENERAL/DRIVER/lmdz.driver	(revision 2101)
@@ -363,6 +363,8 @@
 
     if [ X${config_ListOfComponents_SRF} = Xorchidee ] ; then
-	echo "Activate ORCHIDEE, set VEGET=y in run.def"
+	echo "Activate ORCHIDEE: set VEGET=y and add INCLUDEDEF=orchidee.def in run.def"
 	LMDZ_sed run.def VEGET y
+	# Add "INCLUDEDEF=orchidee.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=orchidee.def' run.def
     else
 	echo "No ORCHIDEE, set VEGET=n in run.def"
@@ -379,10 +381,14 @@
 
     if [ X${config_ListOfComponents_CHM} = Xinca ] ; then
-	echo "Activate coupling to INCA, set type_trac=inca in run.def"
+	echo "Activate coupling to INCA: set type_trac=inca and add INCLUDEDEF=inca.def in run.def"
 	LMDZ_sed run.def type_trac inca
+        # Add "INCLUDEDEF=inca.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=inca.def' run.def
     elif [ X${config_ListOfComponents_CHM} = Xreprobus ] ; then
-	echo "Activate coupling to REPROBUS, set type_trac=repr in run.def"
+	echo "Activate coupling to REPROBUS: set type_trac=repr and add INCLUDEDEF=reprobus.def in run.def"
 	LMDZ_sed run.def type_trac repr
         LMDZ_sed run.def config_inca none
+        # Add "INCLUDEDEF=reprobus.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=reprobus.def' run.def
     else
 	echo "No coupling to chemistry model, set type_trac=lmdz in run.def"
@@ -437,6 +443,9 @@
 
     # guide.def : Activate nudging if ok_guide=y set in lmdz.card
-    if [ ! X${lmdz_UserChoices_ok_guide} = X ] ; then
+    if [ X${lmdz_UserChoices_ok_guide} = Xy ] ; then
+        # Set ok_guide=y in guide.def
 	LMDZ_sed guide.def ok_guide  ${lmdz_UserChoices_ok_guide}
+        # Add "INCLUDEDEF=guide.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=guide.def' run.def
     else
 	LMDZ_sed guide.def ok_guide n
Index: /CONFIG/UNIFORM/v5/LMDZOR_v5/GENERAL/PARAM/run.def
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZOR_v5/GENERAL/PARAM/run.def	(revision 2100)
+++ /CONFIG/UNIFORM/v5/LMDZOR_v5/GENERAL/PARAM/run.def	(revision 2101)
@@ -1,12 +1,10 @@
 # $Id$
-#
+# 
+# INCLUDEDEF=orchidee.def, inca.def, reprobus.def and guide.def are added 
+# automatically by lmdz.driver if one of these components are activated.
 INCLUDEDEF=physiq.def
 INCLUDEDEF=gcm.def
-INCLUDEDEF=orchidee.def
 INCLUDEDEF=output.def
 INCLUDEDEF=config.def
-INCLUDEDEF=reprobus.def
-INCLUDEDEF=guide.def
-INCLUDEDEF=inca.def
 ## Type de calendrier utilise
 ## valeur possible: earth_360d (defaut), earth_365d, earth_366d
Index: /CONFIG/UNIFORM/v5/LMDZREPR_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZREPR_v5/GENERAL/DRIVER/lmdz.driver	(revision 2100)
+++ /CONFIG/UNIFORM/v5/LMDZREPR_v5/GENERAL/DRIVER/lmdz.driver	(revision 2101)
@@ -363,6 +363,8 @@
 
     if [ X${config_ListOfComponents_SRF} = Xorchidee ] ; then
-	echo "Activate ORCHIDEE, set VEGET=y in run.def"
+	echo "Activate ORCHIDEE: set VEGET=y and add INCLUDEDEF=orchidee.def in run.def"
 	LMDZ_sed run.def VEGET y
+	# Add "INCLUDEDEF=orchidee.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=orchidee.def' run.def
     else
 	echo "No ORCHIDEE, set VEGET=n in run.def"
@@ -379,10 +381,14 @@
 
     if [ X${config_ListOfComponents_CHM} = Xinca ] ; then
-	echo "Activate coupling to INCA, set type_trac=inca in run.def"
+	echo "Activate coupling to INCA: set type_trac=inca and add INCLUDEDEF=inca.def in run.def"
 	LMDZ_sed run.def type_trac inca
+        # Add "INCLUDEDEF=inca.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=inca.def' run.def
     elif [ X${config_ListOfComponents_CHM} = Xreprobus ] ; then
-	echo "Activate coupling to REPROBUS, set type_trac=repr in run.def"
+	echo "Activate coupling to REPROBUS: set type_trac=repr and add INCLUDEDEF=reprobus.def in run.def"
 	LMDZ_sed run.def type_trac repr
         LMDZ_sed run.def config_inca none
+        # Add "INCLUDEDEF=reprobus.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=reprobus.def' run.def
     else
 	echo "No coupling to chemistry model, set type_trac=lmdz in run.def"
@@ -437,6 +443,9 @@
 
     # guide.def : Activate nudging if ok_guide=y set in lmdz.card
-    if [ ! X${lmdz_UserChoices_ok_guide} = X ] ; then
+    if [ X${lmdz_UserChoices_ok_guide} = Xy ] ; then
+        # Set ok_guide=y in guide.def
 	LMDZ_sed guide.def ok_guide  ${lmdz_UserChoices_ok_guide}
+        # Add "INCLUDEDEF=guide.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=guide.def' run.def
     else
 	LMDZ_sed guide.def ok_guide n
Index: /CONFIG/UNIFORM/v5/LMDZREPR_v5/GENERAL/PARAM/run.def
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZREPR_v5/GENERAL/PARAM/run.def	(revision 2100)
+++ /CONFIG/UNIFORM/v5/LMDZREPR_v5/GENERAL/PARAM/run.def	(revision 2101)
@@ -1,12 +1,10 @@
 # $Id$
-#
+# 
+# INCLUDEDEF=orchidee.def, inca.def, reprobus.def and guide.def are added 
+# automatically by lmdz.driver if one of these components are activated.
 INCLUDEDEF=physiq.def
 INCLUDEDEF=gcm.def
-INCLUDEDEF=orchidee.def
 INCLUDEDEF=output.def
 INCLUDEDEF=config.def
-INCLUDEDEF=reprobus.def
-INCLUDEDEF=guide.def
-INCLUDEDEF=inca.def
 ## Type de calendrier utilise
 ## valeur possible: earth_360d (defaut), earth_365d, earth_366d
Index: /CONFIG/UNIFORM/v5/LMDZ_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZ_v5/GENERAL/DRIVER/lmdz.driver	(revision 2100)
+++ /CONFIG/UNIFORM/v5/LMDZ_v5/GENERAL/DRIVER/lmdz.driver	(revision 2101)
@@ -363,6 +363,8 @@
 
     if [ X${config_ListOfComponents_SRF} = Xorchidee ] ; then
-	echo "Activate ORCHIDEE, set VEGET=y in run.def"
+	echo "Activate ORCHIDEE: set VEGET=y and add INCLUDEDEF=orchidee.def in run.def"
 	LMDZ_sed run.def VEGET y
+	# Add "INCLUDEDEF=orchidee.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=orchidee.def' run.def
     else
 	echo "No ORCHIDEE, set VEGET=n in run.def"
@@ -379,10 +381,14 @@
 
     if [ X${config_ListOfComponents_CHM} = Xinca ] ; then
-	echo "Activate coupling to INCA, set type_trac=inca in run.def"
+	echo "Activate coupling to INCA: set type_trac=inca and add INCLUDEDEF=inca.def in run.def"
 	LMDZ_sed run.def type_trac inca
+        # Add "INCLUDEDEF=inca.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=inca.def' run.def
     elif [ X${config_ListOfComponents_CHM} = Xreprobus ] ; then
-	echo "Activate coupling to REPROBUS, set type_trac=repr in run.def"
+	echo "Activate coupling to REPROBUS: set type_trac=repr and add INCLUDEDEF=reprobus.def in run.def"
 	LMDZ_sed run.def type_trac repr
         LMDZ_sed run.def config_inca none
+        # Add "INCLUDEDEF=reprobus.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=reprobus.def' run.def
     else
 	echo "No coupling to chemistry model, set type_trac=lmdz in run.def"
@@ -437,6 +443,9 @@
 
     # guide.def : Activate nudging if ok_guide=y set in lmdz.card
-    if [ ! X${lmdz_UserChoices_ok_guide} = X ] ; then
+    if [ X${lmdz_UserChoices_ok_guide} = Xy ] ; then
+        # Set ok_guide=y in guide.def
 	LMDZ_sed guide.def ok_guide  ${lmdz_UserChoices_ok_guide}
+        # Add "INCLUDEDEF=guide.def" before the 5th line in run.def
+	sed -i '5iINCLUDEDEF=guide.def' run.def
     else
 	LMDZ_sed guide.def ok_guide n
Index: /CONFIG/UNIFORM/v5/LMDZ_v5/GENERAL/PARAM/run.def
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZ_v5/GENERAL/PARAM/run.def	(revision 2100)
+++ /CONFIG/UNIFORM/v5/LMDZ_v5/GENERAL/PARAM/run.def	(revision 2101)
@@ -1,12 +1,10 @@
 # $Id$
-#
+# 
+# INCLUDEDEF=orchidee.def, inca.def, reprobus.def and guide.def are added 
+# automatically by lmdz.driver if one of these components are activated.
 INCLUDEDEF=physiq.def
 INCLUDEDEF=gcm.def
-INCLUDEDEF=orchidee.def
 INCLUDEDEF=output.def
 INCLUDEDEF=config.def
-INCLUDEDEF=reprobus.def
-INCLUDEDEF=guide.def
-INCLUDEDEF=inca.def
 ## Type de calendrier utilise
 ## valeur possible: earth_360d (defaut), earth_365d, earth_366d