Index: CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namcouple_ORCA2xLMD144142
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namcouple_ORCA2xLMD144142	(revision 2127)
+++ CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namcouple_ORCA2xLMD144142	(revision 2154)
@@ -29,7 +29,7 @@
 #
  $CHANNEL
-<lib_mpi>
-<nproc_atm>  <nproc_atm>
-<nproc_oce>  <nproc_oce>        
+ <lib_mpi>
+ <nproc_atm>  <nproc_atm>
+ <nproc_oce>  <nproc_oce>               
  $END
 ###############################################################################
@@ -105,8 +105,8 @@
 #                      OCEAN  --->>>  ATMOS
 #                      --------------------
-# Field 1 : Weighted Sea surface temperature (o->a 1)
-#
-O_SSTSST SISUTESW 1 86400  5  sstoc.nc  <output_mode> 
-torc  tlmd  LAG=5760
+# Field 1 : Weighted sea surface temperature (o->a 1)
+# 
+O_SSTSST  SISUTESW 1 <freq_coupling>  5  sstoc.nc  <output_mode> 
+torc  tlmd  LAG=<lag_oce>
 P  2 P  0
 LOCTRANS CHECKIN MOZAIC CHECKOUT REVERSE
@@ -122,10 +122,11 @@
 #
   NORSUD   WSTEST
-#  
-############################################################################
+#
+############################################################################
+#
 # Field 2 : Sea ice extent  (o->a 2)
 #
-OIceFrac SIICECOV 44 86400  5  sstoc.nc <output_mode>
-torc  tlmd   LAG=5760
+OIceFrc SIICECOV 44 <freq_coupling>  5  sstoc.nc <output_mode>
+torc  tlmd   LAG=<lag_oce>
 P  2 P  0
 #
@@ -142,8 +143,9 @@
 #
 ############################################################################
+#
 # Field 3 : Weighted Sea Ice Temperature (o->a 3)
 #
-O_TepIce SIICTEMW 34 86400  5  sstoc.nc  <output_mode>
-torc  tlmd   LAG=5760
+O_TepIce  SIICTEMW 34 <freq_coupling>  5  sstoc.nc  <output_mode>
+torc  tlmd   LAG=<lag_oce>
 P  2 P  0
 LOCTRANS CHECKIN MOZAIC CHECKOUT REVERSE
@@ -157,10 +159,11 @@
 #
   NORSUD   WSTEST
+############################################################################
 #
 #############################################################################
 # Field 4 : Weighted Sea ice albedo (o->a 4)
 #
-O_AlbIce  SIICEALW 17 86400  5  sstoc.nc  <output_mode>
-torc  tlmd  LAG=5760  
+O_AlbIce  SIICEALW 17 <freq_coupling>  5  sstoc.nc  <output_mode>
+torc  tlmd  LAG=<lag_oce>  
 P  2 P  0
 #
@@ -177,7 +180,8 @@
 #
 ############################################################################
+#
 # Field 5 : Current surface (o->a 5)
-O_OCurx1 CURRENTX 321 86400  5  sstoc.nc  <output_mode>
-torc    tlmd  LAG=5760
+O_OCurx1 CURRENTX 321 <freq_coupling>  5  sstoc.nc  <output_mode>
+torc    tlmd  LAG=<lag_oce>
 P  2 P  0
 LOCTRANS CHECKIN MOZAIC CHECKOUT REVERSE
@@ -188,17 +192,18 @@
 wo2a.tsg 93  1 12
 # CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
+ INT=1  
 #
 NORSUD   WSTEST
 #
 ############################################################################
+#
 # Field 6 : Current surface (o->a 6)
-O_OCury1 CURRENTY 321 86400  5  sstoc.nc  <output_mode>
-torc    tlmd  LAG=5760
-P  2 P  0
-LOCTRANS CHECKIN MOZAIC CHECKOUT REVERSE  
- AVERAGE
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1 
+O_OCury1 CURRENTY 321 <freq_coupling>  5  sstoc.nc  <output_mode>
+torc    tlmd  LAG=<lag_oce>
+P  2 P  0
+LOCTRANS CHECKIN MOZAIC CHECKOUT REVERSE
+ AVERAGE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
 #
 wo2a.tsg 93  1 12
@@ -208,7 +213,8 @@
 NORSUD   WSTEST
 ############################################################################
+#
 # Field 7 : Current surface (o->a 7)
-O_OCurz1 CURRENTZ 321 86400  5  sstoc.nc  <output_mode>
-torc    tlmd  LAG=5760
+O_OCurz1 CURRENTZ 321 <freq_coupling>  5  sstoc.nc  <output_mode>
+torc    tlmd  LAG=<lag_oce>
 P  2 P  0
 LOCTRANS CHECKIN MOZAIC CHECKOUT REVERSE
@@ -219,6 +225,6 @@
 wo2a.tsg 93  1 12
 # CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1  
-#  
+ INT=1
+#
 NORSUD   WSTEST
 #############################################################################
@@ -227,7 +233,8 @@
 #                      -------------------------
 ############################################################################   
+#
 # Field 8 : wind stress along X axis (a->o 1)
 #
-COTAUXXU O_OTaux1 23 86400  6  flxat.nc   <output_mode>
+COTAUXXU O_OTaux1 23 <freq_coupling>  6  flxat.nc   <output_mode>
 tlmd    uorc  LAG=<lag_atm> 
 P  0 P  2
@@ -249,5 +256,5 @@
 # Field 9 : stress along Y axis (a->o 2)
 #
-COTAUYYU O_OTauy1 23 86400  6  flxat.nc  <output_mode>
+COTAUYYU O_OTauy1 23 <freq_coupling>  6  flxat.nc  <output_mode>
 tlmd    uorc  LAG=<lag_atm> 
 P  0 P  2
@@ -267,7 +274,8 @@
 #
 ###########################################################################
+#
 # Field 10 :wind stress along Z axis (a->o 3)
 #
-COTAUZZU O_OTauz1 23 86400  6  flxat.nc  <output_mode>
+COTAUZZU O_OTauz1 23 <freq_coupling>  6  flxat.nc  <output_mode>
 tlmd    uorc  LAG=<lag_atm> 
 P  0 P  2
@@ -287,7 +295,8 @@
 #
 ##########################################################################
+#
 # Field 11 : wind stress along X axis 2 (a->o 4)
 #
-COTAUXXV O_OTaux2 24 86400  6    flxat.nc  <output_mode>
+COTAUXXV O_OTaux2  24 <freq_coupling>  6    flxat.nc  <output_mode>
 tlmd    vorc  LAG=<lag_atm> 
 P  0 P  2
@@ -307,7 +316,8 @@
 #
 ##########################################################################
+#
 # Field 12 : wind stress along Y axis 2 (a->o 5) 
 #
-COTAUYYV O_OTauy2 24 86400  6    flxat.nc  <output_mode>
+COTAUYYV O_OTauy2  24 <freq_coupling>  6    flxat.nc  <output_mode>
 tlmd    vorc  LAG=<lag_atm>
 P  0 P  2
@@ -327,7 +337,8 @@
 #
 ##########################################################################
+#
 # Field 13 :  wind stress along Z axis 2 (a->o 6) 
 #
-COTAUZZV O_OTauz2 24 86400  6    flxat.nc  <output_mode>
+COTAUZZV O_OTauz2  24 <freq_coupling>  6    flxat.nc  <output_mode>
 tlmd    vorc  LAG=<lag_atm>
 P  0 P  2
@@ -346,28 +357,46 @@
  INT=1
 #
+#########################################################################
+# Field 14 :  wind speed 10m (a->o 7) 
+#
+COWINDSP O_Wind10  56 <freq_coupling>  6    flxat.nc  <output_mode>
+tlmd    torc  LAG=<lag_atm>
+P  0 P  2
+INVERT CHECKIN MASK EXTRAP INTERP CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Mask value
+888888.
+# Extrapolation method
+NINENN 2 1 1
+# Interpolation method
+BICUBIPS  Z   SCALAR
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+# 
+#########################################################################
+#
+# Field 15 : Total rain (a->o 8)
+#
+COTOTRAI OTotRain 26 <freq_coupling>  4   flxat.nc   <output_mode>
+tlmd    torc  LAG=<lag_atm> 
+P  0 P  2
+INVERT CHECKIN MOZAIC CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+wa2o.flx 92  2   32
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
 ##########################################################################
-# Field 14 :  wind speed 10m (a->o 7) 
-#
-COWINDSP O_Wind10  56 86400  6    flxat.nc  <output_mode>
-tlmd    torc  LAG=<lag_atm>
-P  0 P  2
-INVERT CHECKIN MASK EXTRAP INTERP CHECKOUT
-# Reverse
-NORSUD WSTEST
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-# Mask value
-888888.
-# Extrapolation method
-NINENN 2 1 1
-# Interpolation method
-BICUBIPS  Z   SCALAR
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
-# 
-#########################################################################
-# Field 15 : Total rain (a->o 8)
-#
-COTOTRAI OTotRain 26  86400  4   flxat.nc   <output_mode>
+#
+# Field 16 :  Total snow (a->o 9)
+#
+COTOTSNO  OTotSnow 28 <freq_coupling>  4   flxat.nc   <output_mode>
 tlmd    torc  LAG=<lag_atm> 
 P  0 P  2
@@ -378,12 +407,30 @@
  INT=1
 # Interpolation method ou parametres mozaic
-wa2o.flx 92  2   32
+wa2o.flx 92  2    32
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+#########################################################################
+#
+# Field 17 : Total evap (a->o 10)
+#
+COTOTEVA  OTotEvap 25 <freq_coupling>  4   flxat.nc   <output_mode>
+tlmd    torc  LAG=<lag_atm> 
+P  0 P  2
+INVERT CHECKIN MOZAIC CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+wa2o.flx 92  2    32
 # CHECKOUT: indicate computation of global, land and sea field integrals.
  INT=1
 #
 ##########################################################################
-# Field 16 :  Total snow (o->a 9)
-#
-COTOTSNO  OTotSnow 28  86400  4   flxat.nc   <output_mode>
+#
+# Field 18 : Evaporation Ice  (a->o 11)
+#
+COICEVAP OIceEvap 41 <freq_coupling>  4   flxat.nc   <output_mode>
 tlmd    torc  LAG=<lag_atm> 
 P  0 P  2
@@ -399,39 +446,8 @@
 #
 ##########################################################################
-# Field 17 : Total evap (a->o 10)
-#
-COTOTEVA  OTotEvap  25 86400  4   flxat.nc   <output_mode>
-tlmd    torc  LAG=<lag_atm> 
-P  0 P  2
-INVERT CHECKIN MOZAIC CHECKOUT
-# Reverse
-NORSUD WSTEST
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-# Interpolation method ou parametres mozaic
-wa2o.flx 92  2    32
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
-#
-##########################################################################
-# Field 18 : Evaporation Ice  (a->o 11)
-#
-COICEVAP OIceEvap 41 86400  4   flxat.nc   <output_mode>
-tlmd    torc  LAG=<lag_atm> 
-P  0 P  2
-INVERT CHECKIN MOZAIC CHECKOUT
-# Reverse
-NORSUD WSTEST
-# CHECKIN: indicate computation of global, land and sea field integrals.
- INT=1
-# Interpolation method ou parametres mozaic
-wa2o.flx 92  2    32
-# CHECKOUT: indicate computation of global, land and sea field integrals.
- INT=1
-#
-##########################################################################
+#
 # Field 19 : Total solar heat flux (a->o 12)
 #
-COQSRMIX  O_QsrMix  7 86400 4   flxat.nc  <output_mode>
+COQSRMIX O_QsrMix  7 <freq_coupling> 4   flxat.nc  <output_mode>
 tlmd    torc  LAG=<lag_atm>
 P  0 P  2
@@ -447,7 +463,8 @@
 #
 #########################################################################
+#
 # Field 20 : Total Non solar heat flux (a->o 13)
 #
-COQNSMIX  O_QnsMix 6 86400  4   flxat.nc  <output_mode>
+COQNSMIX O_QnsMix 6 <freq_coupling>  4   flxat.nc  <output_mode>
 tlmd    torc   LAG=<lag_atm>
 P  0 P  2
@@ -462,8 +479,9 @@
  INT=1
 #
-##########################################################################
+###########################################################################
+#
 # Field 21 : solar heat flux on ice (a->o 14)
 #
-COSHFICE O_QsrIce  7 86400 4   flxat.nc  <output_mode>
+COSHFICE O_QsrIce  7 <freq_coupling> 4   flxat.nc  <output_mode>
 tlmd    torc  LAG=<lag_atm>
 P  0 P  2
@@ -478,8 +496,9 @@
  INT=1
 #
-##########################################################################
+############################################################################
+#
 # Field 22 : Non solar heat flux on ice (a->o 15)
 #
-CONSFICE  O_QnsIce 6 86400  4  flxat.nc  <output_mode>
+CONSFICE O_QnsIce 6 <freq_coupling>  4  flxat.nc  <output_mode>
 tlmd    torc  LAG=<lag_atm>
 P  0 P  2
@@ -495,7 +514,8 @@
 #
 ############################################################################
+#
 # Field 23 : Non solar heat flux derivative (a->o 16)
 #
-CODFLXDT O_dQnsdT  35 86400  4   flxat.nc  <output_mode>
+CODFLXDT O_dQnsdT  35 <freq_coupling>  4   flxat.nc  <output_mode>
 tlmd    torc  LAG=<lag_atm>
 P  0 P  2
@@ -510,8 +530,9 @@
  INT=1
 #
-###########################################################################
+#########################################################################
+#
 # Field 24 : iceberg calving (a->o 17)
 #
-COCALVIN OCalving  36 86400  4  flxat.nc  <output_mode>
+COCALVIN OCalving  36 <freq_coupling>  4  flxat.nc  <output_mode>
 tlmd    torc  LAG=<lag_atm> 
 P  0 P  2
@@ -526,8 +547,9 @@
  INT=1
 #
-############################################################################
+#########################################################################
+#
 # Field 25 : liquid run-off (river + direct)  (a->o 18)
 #
-COLIQRUN  O_Runoff 32 86400  5  flxat.nc   <output_mode>
+COLIQRUN  O_Runoff 32 <freq_coupling>  5  flxat.nc   <output_mode>
 tlmd    torc  LAG=<lag_atm> 
 P  0 P  2
@@ -545,8 +567,8 @@
  INT=1
 #
-############################################################################
+#########################################################################
 # Field 26 : wind stress module (a->o 19)
 #
-##COTAUMOD  O_TauMod 466 86400  6   flxat.nc   <output_mode>
+##COTAUMOD  O_TauMod 466 <freq_coupling>  6   flxat.nc   <output_mode>
 ##tlmd    torc  LAG=<lag_atm> 
 ##P  0 P  2