Index: NFIG/UNIFORM/v5_dev/LMDZORINCA_v5/HELIUM/config.card
===================================================================
--- /CONFIG/UNIFORM/v5_dev/LMDZORINCA_v5/HELIUM/config.card	(revision 2181)
+++ 	(revision )
@@ -1,138 +1,0 @@
-#- $Id: config.card 69 2007-06-21 14:08:22Z acosce $
-#========================================================================
-#D-- Carte pour run AR5WERF -- 
-#D-- Les fichiers sflx - aircraft - start - startphy créés par S. Szopa
-#D--
-#========================================================================
-#D-- Compatibility -
-[Compatibility]
-libIGCM=1.0
-#========================================================================
-#D-- UserChoices -
-[UserChoices]
-#============================
-#D-- (<8 chars MAX for JobName)
-JobName=L5OI4run
-SpaceName=TEST
-ExperimentName=HELIUM
-LongName='nouvelles configs + LMDZ5 INCA4 39 '
-TagName=LMDZORINCA/${CHEM}
-#D- Choice of experiment in EXPERIEMENTS directory
-ExpType=LMDZORINCA/HELIUM
-#============================
-#D-- leap, noleap, 360d
-CalendarType=leap
-#D-- Début et fin de Job
-#D-- "YYYY-MM-DD"
-DateBegin=2006-01-01
-DateEnd=2006-01-01
-#============================
-#D-- 1Y, 1M, 5D, 1D
-PeriodLength=1D
-#============================
-#-- Total Number of Processors (minimum is 2 for a coupled configuration)
-JobNumProcTot=32
-#============================
-#D-- ListOfComponents -
-[ListOfComponents]
-#D- For each component, Name of component, Tag of component
-ATM= (lmdz, LMDZ4)
-SRF= (orchidee, orchidee_1_9_5)
-SBG= (stomate, ORCHIDEE_1_9_5)
-CHM= (inca, INCA3) 
-
-#========================================================================
-#D-- Executable -
-[Executable]
-#D- For each component, Real name of executable, Name of executable for oasis
-ATM= (gcm.e, gcm.e)
-SRF= ("", "")
-SBG= ("", "")
-CHM= (inca.dat, inca.dat)
-
-#========================================================================
-#D-- Restarts -
-[Restarts]
-#D- If you want a GENERAL RULE FOR RESTARTS, put this flag to 'y'
-OverRule=n
-#D- Last day of the experience used as restart
-RestartDate=2005-12-31
-#D- Define restart simulation name (=> JOB_OS)
-RestartJobName=LOI_AR5WERF_E0_2006
-#D- Path Server Group Login (=> PSGL)
-RestartPath=/ccc/work/cont003/dsm/p24cozic/INPUT_INCA/IGCM_OUT/LMDZORINCA/NMHC_AER
-# Attention login depend de la machine
-
-#========================================================================
-#D-- Post -
-[Post]
-#D- Do we rebuild parallel output, this flag determines
-#D- frequency of rebuild submission
-RebuildFrequency=1D
-#D- Do we rebuild parallel output from archive
-RebuildFromArchive=NONE
-#D- If you want to produce time series, this flag determines
-#D- frequency of post-processing submission
-TimeSeriesFrequency=NONE
-#D- If you want to produce seasonal average, this flag determines
-#D- the period of this average
-SeasonalFrequency=NONE
-#D-
-PackFrequency=NONE
-#========================================================================
-#D-- ATM -
-[ATM]
-#
-WriteFrequency="1M 1D HF"
-# If config_Restarts_OverRule == 'n' all params are read
-Restart= n
-# Last day of the experience used as restart
-RestartDate=2000-01-01
-# Define restart simulation name
-RestartJobName=JobName
-RestartPath=${ARCHIVE}/IGCM_OUT/LMDZORINCA/NMHC_AER
-# Old component name for restart (if empty, use new name)
-OldName=""
-
-
-#========================================================================
-#D-- SRF -
-[SRF]
-WriteFrequency="1M"
-Restart=n
-##-- Last day of the experience used as restart
-RestartDate=1999-12-30
-# Define restart simulation name
-RestartJobName=JobName
-RestartPath=${ARCHIVE}/IGCM_OUT/LMDZORINCA/NMHC_AER
-#-- Old component name for restart (if empty, use new name)
-OldName=""
-
-#========================================================================
-#D-- SBG - STOMATE
-[SBG]
-WriteFrequency="1M"
-# If config_Restarts_OverRule == 'n' next 4 params are read
-Restart=n
-#-- Last day of the experience used as restart for this component if Restart=y
-RestartDate=2000-01-31
-# Define restart simulation name for this component
-RestartJobName=EXP00
-RestartPath=${ARCHIVE}/IGCM_OUT/LMDZOR/DEVT/amip
-#-- Old component name for restart (if empty, use new name)
-OldName=
-
-#========================================================================
-#D-- CHM -
-[CHM]
-WriteFrequency="1M"
-Restart=n
-#D-- Last day of the experience used as restart
-RestartDate=2000-01-01
-#D-- Define restart simulation name
-RestartJobName=JobName
-RestartPath=${ARCHIVE}/IGCM_OUT/LMDZORINCA/NMHC_AER
-#D-- Old component name for restart (if empty, use new name)
-OldName=""
-
-#========================================================================