Index: CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/oasis.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/oasis.driver	(revision 2195)
+++ CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/oasis.driver	(revision 2198)
@@ -15,13 +15,4 @@
     RESOL_CPL=${RESOL_OCE}x${RESOL_ATM}
     IGCM_debug_Print 1 "RESOL_CPL      : ${RESOL_CPL}"
-
-    #D- MPI context used to launch the coupled model
-    LIBMPI=$(cat ${SUBMIT_DIR}/../.libmpi)
-    echo LIBMPI=${LIBMPI}
-
-    #D- MPISUSPEND=ON required for MPMD mode used by oasis
-    export MPISUSPEND=ON
-
-    IGCM_sys_build_run_file ${LIBMPI}
 
     CPL_OkDay="n"
@@ -47,16 +38,4 @@
     ##-- Calcul de la duree du job (en secondes)
     (( D_JOB_SEC = 3600 * 24 * PeriodLengthInDays ))
-
-    # nleapy configuration
-    case ${config_UserChoices_CalendarType} in
-        leap|gregorian)
-            CPL_calendar=1;;
-        noleap)
-            CPL_calendar=0;;
-        360d)
-            CPL_calendar=30;;
-        *)
-            CPL_calendar=30
-    esac
 
     ############ Update Other Parameters  ##############
@@ -85,10 +64,5 @@
 
     ############ Update Parameter Files   ##############
-    sed -e "s/<initial_date>/${PeriodDateBegin}/" \
-	-e "s/<calendar_type>/${CPL_calendar}/" \
-	-e "s/<total_time>/${D_JOB_SEC}/" \
-	-e "s/<lib_mpi>/${LIBMPI}/" \
-	-e "s/<nproc_atm>/${NUM_PROC_ATM}/g" \
-	-e "s/<nproc_oce>/${NUM_PROC_OCE}/g" \
+    sed -e "s/<total_time>/${D_JOB_SEC}/" \
 	-e "s/<output_mode>/${CPL_OutputVar}/g" \
 	-e "s/<freq_coupling>/${FreqCoupling}/g" \
@@ -97,10 +71,4 @@
 	namcouple > namcouple.tmp
     IGCM_sys_Mv namcouple.tmp namcouple
-
-    # Unused files we want to remove
-    eval FileToBeDeleted[${#FileToBeDeleted[@]}]=trace
-    eval FileToBeDeleted[${#FileToBeDeleted[@]}]=gweights
-    eval FileToBeDeleted[${#FileToBeDeleted[@]}]=mweights
-    eval FileToBeDeleted[${#FileToBeDeleted[@]}]=anaisout
 
     IGCM_debug_PopStack "CPL_Update"
@@ -111,9 +79,4 @@
 {
     IGCM_debug_PushStack "CPL_Finalize"
-
-    DATE_CPL=$(echo ${PeriodDateBegin} | sed -e "{ s/^\(.\{4\}\)/\1-/;s/\(-.\{2\}\)/\1-/; }");
-    DATE_CPL=${DATE_CPL}"T00:00:00"
-    
-    echo ${DATE_CPL} ${CPL_OutputMode} ${CPL_OkDay} ${CPL_OkMonth}
 
     if [ "${CPL_OutputMode}" = "y" ] ; then
Index: CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/opa9.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/opa9.driver	(revision 2195)
+++ CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/opa9.driver	(revision 2198)
@@ -13,4 +13,5 @@
 	LIM_VERSION=2
 	;;
+
 	( *LIM3* )
 	SEAICE_MODEL=LIM3
@@ -22,9 +23,9 @@
     RESOL_OCE=$( echo ${RESOL_OCE_ICE} | sed "s/${SEAICE_MODEL}//" )
 
-    IGCM_debug_Print 1 "RESOL          : ${RESOL}"
-    IGCM_debug_Print 1 "RESOL_OCE_ICE  : ${RESOL_OCE_ICE}"
-    IGCM_debug_Print 1 "SEAICE_MODEL   : ${SEAICE_MODEL}"
-    IGCM_debug_Print 1 "LIM_VERSION    : ${LIM_VERSION}"
-    IGCM_debug_Print 1 "RESOL_OCE      : ${RESOL_OCE}"
+    echo "RESOL          : ${RESOL}"
+    echo "RESOL_OCE_ICE  : ${RESOL_OCE_ICE}"
+    echo "SEAICE_MODEL   : ${SEAICE_MODEL}"
+    echo "LIM_VERSION    : ${LIM_VERSION}"
+    echo "RESOL_OCE      : ${RESOL_OCE}"
 
     ORCA_NPDT_JOUR=${opa9_UserChoices_OPA_NPDT_JOURS:=15}
@@ -46,27 +47,33 @@
     # ln_rstart start from rest (F) or from a restart file (T)
     # nn_rstctl restart control = 0 nn_it000 is not compared to the restart file value
-    #                           = 1 use nn_date0 in namelist (not the value in the restart file)
+    #                           = 1 use nn_date0 in namelist_cfg (not the value in the restart file)
     #                           = 2 calendar parameters read in the restart file
     # nn_msh    =1 create a mesh file (coordinates, scale factors, masks)
     # rn_rdt    time step in seconds for the dynamics (and tracer if nacc=0)   ==> 5760 (coming from namelist)
     # nn_prg    time-step frequency of gap print in model output
-    # nf_ptr_wri frequency of zonal means and transport output
-
-    PAT_CEXPER=$(   supergrep cn_exp      ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
-    PAT_NIT000=$(   supergrep nn_it000    ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
-    PAT_NITEND=$(   supergrep nn_itend    ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
-    PAT_NDATE0=$(   supergrep nn_date0    ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
-    PAT_NLEAPY=$(   supergrep nn_leapy    ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
-    PAT_NSTOCK=$(   supergrep nn_stock    ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
-    PAT_NWRITE=$(   supergrep nn_write    ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
-    PAT_RESTAR=$(   supergrep ln_rstart   ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
-    PAT_NRSTAR=$(   supergrep nn_rstctl   ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
-    PAT_NMSH=$(     supergrep nn_msh      ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
-    PAT_NPRG=$(     supergrep nn_prg      ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
-    PAT_NF_PTR=$(   supergrep nf_ptr_wri  ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
-    PAT_ICE_EMBD=$( supergrep nn_ice_embd ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
-    PAT_ICEFLX=$(   supergrep cn_iceflx   ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
-
-    ORCA_RDT=$(   supergrep rn_rdt     ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} | sed 's/ *rn_rdt *=//' | sed 's/\. *//' )
+    # nn_fwri   frequency of zonal means and transport output
+
+    NAMELIST_OPA_CFG=${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}_cfg
+    echo "namelist_cfg : ${NAMELIST_OPA_CFG}"
+    if [ ! -r ${NAMELIST_OPA_CFG} ] ; then
+	echo "${NAMELIST_OPA_CFG} non trouve"
+    fi
+
+    PAT_CEXPER=$(   supergrep cn_exp      ${NAMELIST_OPA_CFG} )
+    PAT_NIT000=$(   supergrep nn_it000    ${NAMELIST_OPA_CFG} )
+    PAT_NITEND=$(   supergrep nn_itend    ${NAMELIST_OPA_CFG} )
+    PAT_NDATE0=$(   supergrep nn_date0    ${NAMELIST_OPA_CFG} )
+    PAT_NLEAPY=$(   supergrep nn_leapy    ${NAMELIST_OPA_CFG} )
+    PAT_NSTOCK=$(   supergrep nn_stock    ${NAMELIST_OPA_CFG} )
+    PAT_NWRITE=$(   supergrep nn_write    ${NAMELIST_OPA_CFG} )
+    PAT_RESTAR=$(   supergrep ln_rstart   ${NAMELIST_OPA_CFG} )
+    PAT_NRSTAR=$(   supergrep nn_rstctl   ${NAMELIST_OPA_CFG} )
+    PAT_NMSH=$(     supergrep nn_msh      ${NAMELIST_OPA_CFG} )
+    PAT_NN_WRITE=$( supergrep nn_write    ${NAMELIST_OPA_CFG} )
+    PAT_NN_FWRI=$(  supergrep nn_fwri     ${NAMELIST_OPA_CFG} )
+    PAT_ICE_EMBD=$( supergrep nn_ice_embd ${NAMELIST_OPA_CFG} )
+    PAT_ICEFLX=$(   supergrep cn_iceflx   ${NAMELIST_OPA_CFG} )
+
+    ORCA_RDT=$(   supergrep rn_rdt        ${NAMELIST_OPA_CFG} | sed 's/ *rn_rdt *=//' | sed 's/\. *//' )
 
     # Period Length In Days between DateBegin and first day of calendar 0001 01 01
@@ -78,5 +85,26 @@
     PAT_SERVER=$( supergrep using_server ${SUBMIT_DIR}/PARAM/xmlio_server.def )
 
+
+    echo "PAT_CEXPER   $PAT_CEXPER "
+    echo "PAT_NIT000   $PAT_NIT000"
+    echo "PAT_NITEND   $PAT_NITEND"
+    echo "PAT_NDATE0   $PAT_NDATE0"
+    echo "PAT_NLEAPY   $PAT_NLEAPY"
+    echo "PAT_NSTOCK   $PAT_NSTOCK"
+    echo "PAT_NWRITE   $PAT_NWRITE"
+    echo "PAT_RESTAR   $PAT_RESTAR"
+    echo "PAT_NRSTAR   $PAT_NRSTAR"
+    echo "PAT_NMSH     $PAT_NMSH"
+    echo "PAT_NN_WRITE $PAT_NN_WRITE"
+    echo "PAT_NN_FWRI  $PAT_NN_FWRI"
+    echo "PAT_ICE_EMBD $PAT_ICE_EMBD"
+    echo "PAT_ICEFLX   $PAT_ICEFLX"
+    echo "ORCA_RDT     $ORCA_RDT"
+    echo "DaysSinceJC  $DaysSinceJC"
+    echo "PAT_SERVER   $PAT_SERVER"
+
     IGCM_debug_PopStack "OCE_Initialize"
+
+    
 }
 
@@ -222,14 +250,14 @@
 	-e "s/${PAT_NRSTAR}/       nn_rstctl=${ORCA_NRSTDT}/"                   \
 	-e "s/${PAT_NMSH}/         nn_msh=${ORCA_NMSH}/"                        \
-	-e "s/${PAT_NPRG}/         nn_prg=${ORCA_NWRITE}/"                      \
-	-e "s/${PAT_NF_PTR}/       nf_ptr_wri=${ORCA_NWRITE}/"                  \
+	-e "s/${PAT_NN_WRITE}/     nn_prg=${ORCA_NWRITE}/"                      \
+	-e "s/${PAT_NN_FWRI}/      nn_fwri=${ORCA_NWRITE}/"                     \
 	-e "s/${PAT_ICE_EMBD}/     nn_ice_embd=${NN_ICE_EMBD}/"                 \
 	-e "s/${PAT_ICEFLX}/       cn_iceflx=\'${ICEFLX}'/"                     \
-	namelist > namelist.tmp
-
-    IGCM_sys_Mv namelist.tmp namelist
-
-    echo 'Variables automatically updated in ORCA namelist'
-    grep AUTO namelist
+	namelist_cfg > namelist_cfg.tmp
+
+    IGCM_sys_Mv namelist_cfg.tmp namelist_cfg
+
+    echo 'Variables automatically updated in ORCA namelist_cfg'
+    grep AUTO namelist_cfg
 
     # update iodef.xml
Index: CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/pisces.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/pisces.driver	(revision 2195)
+++ CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/pisces.driver	(revision 2198)
@@ -24,8 +24,11 @@
     ##--Variables used by PISCES --
  
-    PAT_TOP_LRSTTR=$( supergrep ln_rsttr          ${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE} )
-    PAT_TOP_NRSTTR=$( supergrep nrsttr            ${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE} )
-    PAT_PIS_ATCCO2=$( supergrep atcco2            ${SUBMIT_DIR}/PARAM/namelist_pisces_${RESOL_OCE} )
-    PAT_PIS_LRIVER=$( supergrep ln_river          ${SUBMIT_DIR}/PARAM/namelist_pisces_${RESOL_OCE} )
+    NAMELIST_TOP_CFG=${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE}_cfg
+    NAMELIST_PISCES_CFG=${SUBMIT_DIR}/PARAM/namelist_pisces_${RESOL_OCE}_cfg
+
+    PAT_TOP_LRSTTR=$( supergrep ln_rsttr          ${NAMELIST_TOP_CFG} )
+    PAT_TOP_NRSTTR=$( supergrep nrsttr            ${NAMELIST_TOP_CFG} )
+    PAT_PIS_ATCCO2=$( supergrep atcco2            ${NAMELIST_PISCES_CFG} )
+    PAT_PIS_LRIVER=$( supergrep ln_river          ${NAMELIST_PISCES_CFG} )
 
     IGCM_debug_PopStack "MBG_Initialize"
@@ -81,37 +84,37 @@
     IGCM_sys_Mv iodef.xml.tmp iodef.xml
 
-    ##-- CO2 forcing : update atcco2 value in namelist_pisces
+    ##-- CO2 forcing : update atcco2 value in namelist_pisces_cfg
     if [ "${pisces_UserChoices_CARBON_CYCLE}" = "y" ]; then
        	# Special case for carbon cycle
 	# Activate this case by putting CARBON_CYCLE=y in pisces.card section UserChoices
-	echo 'Update atcco2 in namelist_pisces with value from file co2.log'
+	echo 'Update atcco2 in namelist_pisces_cfg with value from file co2.log'
 	PathCO2log=${SUBMIT_DIR}
 	PreviousLinelog=$( tail -1 ${PathCO2log}/co2.log )
 	IPCC_PIS_CO2=$( echo "${PreviousLinelog[*]}" | gawk -F '|' '{gsub(" ",""); print $4}' )
 	sed -e "s%${PAT_PIS_ATCCO2}%          atcco2=${IPCC_PIS_CO2}%"             \
-	    namelist_pisces > namelist_pisces.tmp
-	IGCM_sys_Mv namelist_pisces.tmp namelist_pisces
+	    namelist_pisces_cfg > namelist_pisces_cfg.tmp
+	IGCM_sys_Mv namelist_pisces_cfg.tmp namelist_pisces_cfg
     else
 	# Take same CO2 as for LMDZ, in parameter file config.def.
 	# ATM_Update is done before MBG_Update and therefor config.def file contains the correct value for CO2.
-	echo 'Update atcco2 in namelist_pisces with same value as for LMDZ'
+	echo 'Update atcco2 in namelist_pisces_cfg with same value as for LMDZ'
 	LMDZ_CO2=$( lmdzgrep co2_ppm config.def )
 	sed -e "s%${PAT_PIS_ATCCO2}%          atcco2=${LMDZ_CO2}%"             \
-	    namelist_pisces > namelist_pisces.tmp
-	IGCM_sys_Mv namelist_pisces.tmp namelist_pisces
+	    namelist_pisces_cfg > namelist_pisces_cfg.tmp
+	IGCM_sys_Mv namelist_pisces_cfg.tmp namelist_pisces_cfg
     fi
 
-    ##-- Update namelist_top and namelist_pisces 
+    ##-- Update namelist_top_cfg and namelist_pisces_cfg
 
     sed -e "s%${PAT_TOP_LRSTTR}%          ln_rsttr=${TOP_LRSTTR}%"                   \
         -e "s%${PAT_TOP_NRSTTR}%          nrsttr=${TOP_NRSTTR}%"                   \
-        namelist_top > namelist_top.tmp
+        namelist_top_cfg > namelist_top_cfg.tmp
 
-    IGCM_sys_Mv namelist_top.tmp namelist_top
+    IGCM_sys_Mv namelist_top_cfg.tmp namelist_top_cfg
 
     sed -e "s%${PAT_PIS_LRIVER}%          ln_river=${PISCES_LRIVER}%"                \
-        namelist_pisces > namelist_pisces.tmp
+        namelist_pisces_cfg > namelist_pisces_cfg.tmp
 
-    IGCM_sys_Mv namelist_pisces.tmp namelist_pisces
+    IGCM_sys_Mv namelist_pisces_cfg.tmp namelist_pisces_cfg
 
 